Fish_GiantSharkRanking = {}

function Fish_GiantSharkRanking:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function Fish_GiantSharkRanking:init()
	self.datas = {}
	self.datas[1] = {ID = 1, StartRank = 1, EndRank = 1, RewardList = {27,3,3,50000}, Limit = 5000}
	self.datas[2] = {ID = 2, StartRank = 2, EndRank = 2, RewardList = {27,2,3,30000}, Limit = 5000}
	self.datas[3] = {ID = 3, StartRank = 3, EndRank = 3, RewardList = {27,1,3,10000}, Limit = 5000}
	self.datas[4] = {ID = 4, StartRank = 4, EndRank = 6, RewardList = {26,3,16,200}, Limit = 5000}
	self.datas[5] = {ID = 5, StartRank = 7, EndRank = 10, RewardList = {26,2,16,100}, Limit = 5000}
	self.datas[6] = {ID = 6, StartRank = 11, EndRank = 20, RewardList = {26,1,16,50}, Limit = 5000}
end

Fish_GiantSharkRanking:init()
